
#layout {
    display: grid;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: 1fr;
    grid-template-areas:
        "navbar"
        "main"
        "footer";
    height: 100%;
}

#topnav {
    grid-area: navbar;
    position: sticky;
    top: 0%;
    width: 100%;
}

#myFooter {
    grid-area: footer;
    position: sticky;
    bottom: 0%;
    width: 100%;
}

#myMain {
    grid-area: main;
    overflow-y: scroll;
}

html, body {
    width: 100%;
    height: 100%;
}
